Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::Compiler2Pass::TokenState Struct Reference

`#include <OgreCompiler2Pass.h>`

List of all members.

## Public Attributes
TokenInstContainer | tokenQue
LexemeTokenDefContainer | lexemeTokenDefinitions
TokenRuleContainer | rootRulePath
LexemeTokenMap | lexemeTokenMap

## Member Data Documentation

LexemeTokenDefContainer Ogre::Compiler2Pass::TokenState::lexemeTokenDefinitions

| Definition at line 253 of file OgreCompiler2Pass.h.

LexemeTokenMap Ogre::Compiler2Pass::TokenState::lexemeTokenMap

| Definition at line 255 of file OgreCompiler2Pass.h.

TokenRuleContainer Ogre::Compiler2Pass::TokenState::rootRulePath

| Definition at line 254 of file OgreCompiler2Pass.h.

TokenInstContainer Ogre::Compiler2Pass::TokenState::tokenQue

| Definition at line 252 of file OgreCompiler2Pass.h.

The documentation for this struct was generated from the following file:

- OgreCompiler2Pass.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:51:08 2007